Package build Android issue - Could not find com.android.support:


#1

Hey guys,

So I’ve been having heaps of issues with Ionic 2 could build processes. I’m looking to ship iOS and Android apps with hard deadlines on Wednesday :expressionless: Any feedback, would be much appreciated.

Android throws this error in short Could not find com.android.support:25.x.x. I’ve pasted the full error message below if anyone can make anything useful out of it. Essentially it looks to be the intercom plugin I got via Cordova which is giving issues. On the Intercom Repo, it suggests it’s the build server that needs an upgrade - https://github.com/intercom/intercom-cordova/issues/130 - I’ve updated to all the latest Android and Google Support repositories in Android Studio, but with no success.

I can run it locally, and on Android devices with the ionic run android -prod with no problems.

Is it possible to build via Android Studio for now, bypassing the Ionic build process? Asking as I am not familiar with the steps, and only how to do the equivalent for iOS via xCode

Thanks for having a look! :slight_smile:


This is less important as I made the build via xCode instead, but still want to add the error here. Via xCode there are zero issues building and putting on app store, to be tested via TestFlight. However the Ionic build process fails ?
When I build iOS apps, I get this Code Sign error: No code signing identities found: No valid signing identities (i.e. certificate and private key pair) were found.


Full build error from Ionic Cloud

A problem occurred configuring root project 'android'.
> Could not resolve all dependencies for configuration ':_debugCompile'.
   > Could not find com.android.support:design:25.0.1.
     Searched in the following locations:
         https://repo1.maven.org/maven2/com/android/support/design/25.0.1/design-25.0.1.pom
         https://repo1.maven.org/maven2/com/android/support/design/25.0.1/design-25.0.1.jar
         https://jcenter.bintray.com/com/android/support/design/25.0.1/design-25.0.1.pom
         https://jcenter.bintray.com/com/android/support/design/25.0.1/design-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/design/25.0.1/design-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/design/25.0.1/design-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/design/25.0.1/design-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/design/25.0.1/design-25.0.1.jar
     Required by:
         :android:unspecified > io.intercom.android:intercom-sdk:3.0.20 > io.intercom.android:intercom-sdk-base:3.0.20
   > Could not find com.android.support:appcompat-v7:25.0.1.
     Searched in the following locations:
         https://repo1.maven.org/maven2/com/android/support/appcompat-v7/25.0.1/appcompat-v7-25.0.1.pom
         https://repo1.maven.org/maven2/com/android/support/appcompat-v7/25.0.1/appcompat-v7-25.0.1.jar
         https://jcenter.bintray.com/com/android/support/appcompat-v7/25.0.1/appcompat-v7-25.0.1.pom
         https://jcenter.bintray.com/com/android/support/appcompat-v7/25.0.1/appcompat-v7-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/appcompat-v7/25.0.1/appcompat-v7-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/appcompat-v7/25.0.1/appcompat-v7-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/appcompat-v7/25.0.1/appcompat-v7-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/appcompat-v7/25.0.1/appcompat-v7-25.0.1.jar
     Required by:
         :android:unspecified > io.intercom.android:intercom-sdk:3.0.20 > io.intercom.android:intercom-sdk-base:3.0.20
   > Could not find com.android.support:animated-vector-drawable:25.0.1.
     Searched in the following locations:
         https://repo1.maven.org/maven2/com/android/support/animated-vector-drawable/25.0.1/animated-vector-drawable-25.0.1.pom
         https://repo1.maven.org/maven2/com/android/support/animated-vector-drawable/25.0.1/animated-vector-drawable-25.0.1.jar
         https://jcenter.bintray.com/com/android/support/animated-vector-drawable/25.0.1/animated-vector-drawable-25.0.1.pom
         https://jcenter.bintray.com/com/android/support/animated-vector-drawable/25.0.1/animated-vector-drawable-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/animated-vector-drawable/25.0.1/animated-vector-drawable-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/animated-vector-drawable/25.0.1/animated-vector-drawable-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/animated-vector-drawable/25.0.1/animated-vector-drawable-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/animated-vector-drawable/25.0.1/animated-vector-drawable-25.0.1.jar
     Required by:
         :android:unspecified > io.intercom.android:intercom-sdk:3.0.20 > io.intercom.android:intercom-sdk-base:3.0.20
   > Could not find com.android.support:support-vector-drawable:25.0.1.
     Searched in the following locations:
         https://repo1.maven.org/maven2/com/android/support/support-vector-drawable/25.0.1/support-vector-drawable-25.0.1.pom
         https://repo1.maven.org/maven2/com/android/support/support-vector-drawable/25.0.1/support-vector-drawable-25.0.1.jar
         https://jcenter.bintray.com/com/android/support/support-vector-drawable/25.0.1/support-vector-drawable-25.0.1.pom
         https://jcenter.bintray.com/com/android/support/support-vector-drawable/25.0.1/support-vector-drawable-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/support-vector-drawable/25.0.1/support-vector-drawable-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/support-vector-drawable/25.0.1/support-vector-drawable-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/support-vector-drawable/25.0.1/support-vector-drawable-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/support-vector-drawable/25.0.1/support-vector-drawable-25.0.1.jar
     Required by:
         :android:unspecified > io.intercom.android:intercom-sdk:3.0.20 > io.intercom.android:intercom-sdk-base:3.0.20
   > Could not find com.android.support:support-v4:25.0.1.
     Searched in the following locations:
         https://repo1.maven.org/maven2/com/android/support/support-v4/25.0.1/support-v4-25.0.1.pom
         https://repo1.maven.org/maven2/com/android/support/support-v4/25.0.1/support-v4-25.0.1.jar
         https://jcenter.bintray.com/com/android/support/support-v4/25.0.1/support-v4-25.0.1.pom
         https://jcenter.bintray.com/com/android/support/support-v4/25.0.1/support-v4-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/25.0.1/support-v4-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/25.0.1/support-v4-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/25.0.1/support-v4-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/25.0.1/support-v4-25.0.1.jar
     Required by:
         :android:unspecified > io.intercom.android:intercom-sdk:3.0.20 > io.intercom.android:intercom-sdk-base:3.0.20
   > Could not find com.android.support:support-annotations:25.0.1.
     Searched in the following locations:
         https://repo1.maven.org/maven2/com/android/support/support-annotations/25.0.1/support-annotations-25.0.1.pom
         https://repo1.maven.org/maven2/com/android/support/support-annotations/25.0.1/support-annotations-25.0.1.jar
         https://jcenter.bintray.com/com/android/support/support-annotations/25.0.1/support-annotations-25.0.1.pom
         https://jcenter.bintray.com/com/android/support/support-annotations/25.0.1/support-annotations-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/support-annotations/25.0.1/support-annotations-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/support-annotations/25.0.1/support-annotations-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/support-annotations/25.0.1/support-annotations-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/support-annotations/25.0.1/support-annotations-25.0.1.jar
     Required by:
         :android:unspecified > io.intercom.android:intercom-sdk:3.0.20 > io.intercom.android:intercom-sdk-base:3.0.20
   > Could not find com.android.support:recyclerview-v7:25.0.1.
     Searched in the following locations:
         https://repo1.maven.org/maven2/com/android/support/recyclerview-v7/25.0.1/recyclerview-v7-25.0.1.pom
         https://repo1.maven.org/maven2/com/android/support/recyclerview-v7/25.0.1/recyclerview-v7-25.0.1.jar
         https://jcenter.bintray.com/com/android/support/recyclerview-v7/25.0.1/recyclerview-v7-25.0.1.pom
         https://jcenter.bintray.com/com/android/support/recyclerview-v7/25.0.1/recyclerview-v7-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/recyclerview-v7/25.0.1/recyclerview-v7-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/recyclerview-v7/25.0.1/recyclerview-v7-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/recyclerview-v7/25.0.1/recyclerview-v7-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/recyclerview-v7/25.0.1/recyclerview-v7-25.0.1.jar
     Required by:
         :android:unspecified > io.intercom.android:intercom-sdk:3.0.20 > io.intercom.android:intercom-sdk-base:3.0.20
   > Could not find com.android.support:support-v4:25.0.1.
     Searched in the following locations:
         https://repo1.maven.org/maven2/com/android/support/support-v4/25.0.1/support-v4-25.0.1.pom
         https://repo1.maven.org/maven2/com/android/support/support-v4/25.0.1/support-v4-25.0.1.jar
         https://jcenter.bintray.com/com/android/support/support-v4/25.0.1/support-v4-25.0.1.pom
         https://jcenter.bintray.com/com/android/support/support-v4/25.0.1/support-v4-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/25.0.1/support-v4-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/android/m2repository/com/android/support/support-v4/25.0.1/support-v4-25.0.1.jar
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/25.0.1/support-v4-25.0.1.pom
         file:/usr/local/src/android-sdk-linux/extras/google/m2repository/com/android/support/support-v4/25.0.1/support-v4-25.0.1.jar
     Required by:
         :android:unspecified > io.intercom.android:intercom-sdk:3.0.20 > io.intercom.android:intercom-sdk-gcm:3.0.20 > com.google.android.gms:play-services-gcm:9.8.0 > com.google.android.gms:play-services-basement:9.8.0